# Function splitOnDelim

- splitOnDelim(delim): ((str: any) => any)

- Splits on a delimiter, but returns the delimiters in the array

  #### Example:

      var splitOnSlashes = splitOnDelim('/');
      splitOnSlashes("/foo"); // ["/", "foo"]
      splitOnSlashes("/foo/"); // ["/", "foo", "/"]

  #### Parameters

  - delim: any

  #### Returns ((str: any) => any)

  - - (str): any

    - #### Parameters

      - str: any

      #### Returns any

  - Defined in shared/strings.js:118